Bug 151719 - Printing from Evolution produces strange line wrappings
Printing from Evolution produces strange line wrappings
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
http://bugzilla.ximian.com/show_bug.c...
:
Depends On:
Blocks: 171125
  Show dependency treegraph
 
Reported: 2005-03-21 15:32 EST by Christian Rose
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 15:17:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 426816 None None None Never
Ximian Software (Novell) 72517 None None None Never

  None (edit)
Description Christian Rose 2005-03-21 15:32:53 EST
It seems whenever I print a mail from Evolution (Evolution 2.0.4 from Fedora
Core 3), I get some strange line wraps. It appears as if Evolution assumes that
the page will be wider than it is, and doesn't properly adopt its line wrapping,
so every now and then some line will be wider than the paper and line wrapped
both by Evolution and some other function.

I've successfully reproduced this on two computers. The printer is a standard A4
one.
I've previously reported this upstream as
http://bugzilla.ximian.com/show_bug.cgi?id=72517 , but according to comments in
that bug report this may be a Fedora specific problem.
In the upstream bug report there are some screenshots that demonstrate the problem.
Comment 2 Dave Malcolm 2005-05-17 14:47:37 EDT
Thanks for the report.

I'm seeing something similar in the latest Fedora packages (FC4 test); this is with:
evolution-2.2.2-3
gtkhtml3-3.6.2-1

So I think this might now be a problem upstream.  Haven't investigated properly
yet though.
Comment 7 Matthew Miller 2006-07-10 17:53:56 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 8 Matthew Barnes 2007-02-17 22:57:09 EST
Is this problem still present in Fedora Core 6?
Comment 9 Matthew Miller 2007-04-10 15:17:15 EDT
Fedora Core 3 is now completely unmaintained. These bugs can't be fixed in that
version. If the issue still persists in current Fedora Core, please reopen.
Thank you, and sorry about this.
Comment 10 Matthew Barnes 2007-04-10 15:31:01 EDT
For what it's worth, I'm trying to address any remaining printing problems in
Evolution (for 2.11 and beyond).  See [1] for phase one of this effort.

Changing the resolution to UPSTREAM.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=426816

Note You need to log in before you can comment on or make changes to this bug.